Package ru.bitel.bgbilling.modules.cerbercrypt.server.bean

# Class ChannelMappingManager

java.lang.Object
ru.bitel.bgbilling.modules.cerbercrypt.server.bean.ChannelMappingManager

public class ChannelMappingManager extends Object
Менеджер маппинга каналов.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChannelMappingManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteChannelMappings(int channelId)`
  `void`
  `deleteMapping(int id)`
  `ChannelMapping`
  `findConflictMapping(ChannelMapping mapping)`
  `List<ChannelMapping>`
  `getChannelMappingList(int channelId)`
  `List<ChannelMapping>`
  `getChannelMappingList(Date date)`
  `ChannelMapping`
  `getMappingById(int id)`
  `void`
  `updateMapping(ChannelMapping mapping)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChannelMappingManager

    public ChannelMappingManager(Connection con, int mid)

- ## Method Details

  - ### updateMapping

    public void updateMapping(ChannelMapping mapping) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMappingById

    public ChannelMapping getMappingById(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getChannelMappingList

    public List<ChannelMapping> getChannelMappingList(int channelId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getChannelMappingList

    public List<ChannelMapping> getChannelMappingList(Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteMapping

    public void deleteMapping(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteChannelMappings

    public void deleteChannelMappings(int channelId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### findConflictMapping

    public ChannelMapping findConflictMapping(ChannelMapping mapping) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`